package com.goafanti.Interview.bo;

import com.goafanti.common.model.UserArchives;

public class UpdateUserBo  extends UserArchives {

    private Integer uaiId;
    /**
     * 跟进人编号
     */
    private String aid;
    /**
     * 次数
     */
    private Integer counts;
    /**
     * 前期沟通-客户的难处
     */
    private String earlyCommunication;
    /**
     * 客户的需求
     */
    private String customerDemand;
    /**
     * 面谈思路
     */
    private String interviewIdeas;
    /**
     * 面谈达成的目的
     */
    private String interviewPurpose;
    /**
     * 经理/上级面谈建议
     */
    private String interviewRecommend;
    /**
     * 面谈后反馈
     */
    private String interviewFeedback;
    /**
     * 后续跟进计划
     */
    private String followUpPlan;

    private Integer type;

    /**
     * 开户行所在地-省
     */
    private Integer locationProvince;
    /**
     * 开户行所在地-市
     */
    private Integer locationCity;
    /**
     * 开户行所在地-区(县)
     */
    private Integer locationArea;

    public Integer getLocationProvince() {
        return locationProvince;
    }

    public void setLocationProvince(Integer locationProvince) {
        this.locationProvince = locationProvince;
    }

    public Integer getLocationCity() {
        return locationCity;
    }

    public void setLocationCity(Integer locationCity) {
        this.locationCity = locationCity;
    }

    public Integer getLocationArea() {
        return locationArea;
    }

    public void setLocationArea(Integer locationArea) {
        this.locationArea = locationArea;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getUaiId() {
        return uaiId;
    }

    public void setUaiId(Integer uaiId) {
        this.uaiId = uaiId;
    }

    @Override
    public String getEarlyCommunication() {
        return earlyCommunication;
    }

    @Override
    public void setEarlyCommunication(String earlyCommunication) {
        this.earlyCommunication = earlyCommunication;
    }

    public String getCustomerDemand() {
        return customerDemand;
    }

    public void setCustomerDemand(String customerDemand) {
        this.customerDemand = customerDemand;
    }

    @Override
    public String getInterviewIdeas() {
        return interviewIdeas;
    }

    @Override
    public void setInterviewIdeas(String interviewIdeas) {
        this.interviewIdeas = interviewIdeas;
    }

    public String getInterviewPurpose() {
        return interviewPurpose;
    }

    public void setInterviewPurpose(String interviewPurpose) {
        this.interviewPurpose = interviewPurpose;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public Integer getCounts() {
        return counts;
    }

    public void setCounts(Integer counts) {
        this.counts = counts;
    }




    public String getInterviewRecommend() {
        return interviewRecommend;
    }

    public void setInterviewRecommend(String interviewRecommend) {
        this.interviewRecommend = interviewRecommend;
    }

    public String getInterviewFeedback() {
        return interviewFeedback;
    }

    public void setInterviewFeedback(String interviewFeedback) {
        this.interviewFeedback = interviewFeedback;
    }

    public String getFollowUpPlan() {
        return followUpPlan;
    }

    public void setFollowUpPlan(String followUpPlan) {
        this.followUpPlan = followUpPlan;
    }
}
